#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  NSPR-4.29

- Next

  PCRE2-10.36

- Up
- Home

# PCRE-8.44

## Introduction to PCRE

The PCRE package contains Perl Compatible Regular Expression libraries. These are useful for implementing regular expression pattern matching using the same syntax and semantics as Perl 5.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://ftp.pcre.org/pub/pcre/pcre-8.44.tar.bz2

- Download (FTP): ftp://ftp.pcre.org/pub/pcre/pcre-8.44.tar.bz2

- Download MD5 sum: cf7326204cc46c755b5b2608033d9d24

- Download size: 1.5 MB

- Estimated disk space required: 20 MB (with tests)

- Estimated build time: 0.3 SBU (with tests)

### PCRE Dependencies

#### Optional

Valgrind-3.16.1

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/pcre

## Installation of PCRE

Install PCRE by running the following commands:

    ./configure --prefix=/usr                     \
                --docdir=/usr/share/doc/pcre-8.44 \
                --enable-unicode-properties       \
                --enable-pcre16                   \
                --enable-pcre32                   \
                --enable-pcregrep-libz            \
                --enable-pcregrep-libbz2          \
                --enable-pcretest-libreadline     \
                --disable-static                 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install                     &&
    mv -v /usr/lib/libpcre.so.* /lib &&
    ln -sfv ../../lib/$(readlink /usr/lib/libpcre.so) /usr/lib/libpcre.so

## Command Explanations

`--enable-unicode-properties`: This switch enables Unicode properties support and includes the code for handling UTF-8/16/32 character strings in the library. You need this switch if you are going to build GLib-2.66.7 with the `--with-pcre=system` switch.

`--enable-pcre16`: This switch enables 16 bit character support.

`--enable-pcre32`: This switch enables 32 bit character support.

`--enable-pcregrep-libz`: This switch adds support to pcregrep to read `.gz` compressed files.

`--enable-pcregrep-libbz2`: This switch adds support to pcregrep to read `.bz2` compressed files.

`--enable-pcretest-libreadline`: This switch adds line editing and history features to pcretest program.

`--disable-static`: This switch prevents installation of static versions of the libraries.

mv -v /usr/lib/libpcre.so.* /lib: Moves the PCRE library on the root filesystem so that it is available in case grep gets reinstalled with PCRE support.

`--enable-jit`: this option enables Just-in-time compiling, which can greatly speed up pattern matching.

## Contents

Installed Programs: pcregrep, pcretest, and pcre-config
Installed Libraries: libpcre.so, libpcre16.so, libpcre32.so, libpcrecpp.so and libpcreposix.so
Installed Directory: /usr/share/doc/pcre-8.44

### Short Descriptions

pcregrep | is a grep that understands Perl compatible regular expressions
pcretest | can test a Perl compatible regular expression
pcre-config | is used during the compile process of programs linking to the PCRE libraries

Last updated on 2021-02-19 22:13:48 -0800

- Prev

  NSPR-4.29

- Next

  PCRE2-10.36

- Up
- Home